Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] volctl: update to 0.8.2.
@ 2021-02-16 23:50 teldra
  2021-02-17 14:04 ` ericonr
                   ` (15 more replies)
  0 siblings, 16 replies; 17+ messages in thread
From: teldra @ 2021-02-16 23:50 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1840 bytes --]

There is a new pull request by teldra against master on the void-packages repository

https://github.com/teldra/void-packages update-volctl
https://github.com/void-linux/void-packages/pull/28806

volctl: update to 0.8.2.
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [x] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->

#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [x] I built this PR locally for my native architecture, (ARCH-LIBC)
- [x] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [x] aarch64-musl
  - [x] armv7l
  - [x] armv6l-musl

#### Notes
Even if I add `dbus-run-session python setup.py test` to `do_check`, I get
```
Unable to init server: Could not connect: Connection refused
Unable to init server: Could not connect: Connection refused
```
and I don't have a clue, what to do.

A patch file from https://github.com/void-linux/void-packages/pull/28806.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-update-volctl-28806.patch --]
[-- Type: text/x-diff, Size: 1351 bytes --]

From 710bbcc04b1acc0d2661b19245334843fd36f9d9 Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Wed, 17 Feb 2021 00:45:20 +0100
Subject: [PATCH] volctl: update to 0.8.2.

---
 srcpkgs/volctl/template | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/volctl/template b/srcpkgs/volctl/template
index 0b4dc7d4409..d1470d43958 100644
--- a/srcpkgs/volctl/template
+++ b/srcpkgs/volctl/template
@@ -1,13 +1,18 @@
 # Template file for 'volctl'
 pkgname=volctl
-version=0.8.0
-revision=2
+version=0.8.2
+revision=1
 build_style=python3-module
 hostmakedepends="python3-setuptools"
-depends="python3-gobject desktop-file-utils"
-short_desc="Lightweight volume control for pulseaudio that sits in your systray"
+depends="python3-gobject desktop-file-utils python3-cairo python3-yaml python3-click"
+checkdepends="${depends} dbus pulseaudio gtk+3"
+short_desc="Lightweight volume control for pulseaudio in your systray"
 maintainer="teldra <teldra@rotce.de>"
 license="GPL-2.0-only"
 homepage="https://buzz.github.io/volctl/"
 distfiles="https://github.com/buzz/volctl/archive/v${version}.tar.gz"
-checksum=01d021f244982a8bc827574f778a49864e937ca53310e03ec1386587bf8fb9b4
+checksum=8e744fe0e92f00451983e4fffa079d4d5354a8f96f6bcf8d15da44a18dc556f5
+
+do_check() {
+	dbus-run-session python setup.py test
+}

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: volctl: update to 0.8.2.
  2021-02-16 23:50 [PR PATCH] volctl: update to 0.8.2 teldra
@ 2021-02-17 14:04 ` ericonr
  2021-02-17 14:21 ` [PR PATCH] [Updated] " teldra
                   ` (14 subsequent siblings)
  15 siblings, 0 replies; 17+ messages in thread
From: ericonr @ 2021-02-17 14:04 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 288 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/28806#issuecomment-780577890

Comment:
> Unable to init server: Could not connect: Connection refused

This looks like it's looking for X server. Maybe use `xvfb-run dbus-run-session`?

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [PR PATCH] [Updated] volctl: update to 0.8.2.
  2021-02-16 23:50 [PR PATCH] volctl: update to 0.8.2 teldra
  2021-02-17 14:04 ` ericonr
@ 2021-02-17 14:21 ` teldra
  2021-02-17 14:37 ` teldra
                   ` (13 subsequent siblings)
  15 siblings, 0 replies; 17+ messages in thread
From: teldra @ 2021-02-17 14:21 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1845 bytes --]

There is an updated pull request by teldra against master on the void-packages repository

https://github.com/teldra/void-packages update-volctl
https://github.com/void-linux/void-packages/pull/28806

volctl: update to 0.8.2.
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [x] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->

#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [x] I built this PR locally for my native architecture, (ARCH-LIBC)
- [x] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [x] aarch64-musl
  - [x] armv7l
  - [x] armv6l-musl

#### Notes
Even if I add `dbus-run-session python setup.py test` to `do_check`, I get
```
Unable to init server: Could not connect: Connection refused
Unable to init server: Could not connect: Connection refused
```
and I don't have a clue, what to do.

A patch file from https://github.com/void-linux/void-packages/pull/28806.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-update-volctl-28806.patch --]
[-- Type: text/x-diff, Size: 1369 bytes --]

From 8e2f30709174763d64bf4ff0c8432bfc51f623c2 Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Wed, 17 Feb 2021 00:45:20 +0100
Subject: [PATCH] volctl: update to 0.8.2.

---
 srcpkgs/volctl/template | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/volctl/template b/srcpkgs/volctl/template
index 0b4dc7d4409..d3bce8dffdf 100644
--- a/srcpkgs/volctl/template
+++ b/srcpkgs/volctl/template
@@ -1,13 +1,18 @@
 # Template file for 'volctl'
 pkgname=volctl
-version=0.8.0
-revision=2
+version=0.8.2
+revision=1
 build_style=python3-module
 hostmakedepends="python3-setuptools"
-depends="python3-gobject desktop-file-utils"
-short_desc="Lightweight volume control for pulseaudio that sits in your systray"
+depends="python3-gobject desktop-file-utils python3-cairo python3-yaml python3-click"
+checkdepends="${depends} dbus pulseaudio gtk+3 xvfb-run"
+short_desc="Lightweight volume control for pulseaudio in your systray"
 maintainer="teldra <teldra@rotce.de>"
 license="GPL-2.0-only"
 homepage="https://buzz.github.io/volctl/"
 distfiles="https://github.com/buzz/volctl/archive/v${version}.tar.gz"
-checksum=01d021f244982a8bc827574f778a49864e937ca53310e03ec1386587bf8fb9b4
+checksum=8e744fe0e92f00451983e4fffa079d4d5354a8f96f6bcf8d15da44a18dc556f5
+
+do_check() {
+	xvfb-run dbus-run-session python setup.py test
+}

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [PR PATCH] [Updated] volctl: update to 0.8.2.
  2021-02-16 23:50 [PR PATCH] volctl: update to 0.8.2 teldra
  2021-02-17 14:04 ` ericonr
  2021-02-17 14:21 ` [PR PATCH] [Updated] " teldra
@ 2021-02-17 14:37 ` teldra
  2021-02-17 14:49 ` teldra
                   ` (12 subsequent siblings)
  15 siblings, 0 replies; 17+ messages in thread
From: teldra @ 2021-02-17 14:37 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1845 bytes --]

There is an updated pull request by teldra against master on the void-packages repository

https://github.com/teldra/void-packages update-volctl
https://github.com/void-linux/void-packages/pull/28806

volctl: update to 0.8.2.
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [x] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->

#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [x] I built this PR locally for my native architecture, (ARCH-LIBC)
- [x] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [x] aarch64-musl
  - [x] armv7l
  - [x] armv6l-musl

#### Notes
Even if I add `dbus-run-session python setup.py test` to `do_check`, I get
```
Unable to init server: Could not connect: Connection refused
Unable to init server: Could not connect: Connection refused
```
and I don't have a clue, what to do.

A patch file from https://github.com/void-linux/void-packages/pull/28806.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-update-volctl-28806.patch --]
[-- Type: text/x-diff, Size: 1503 bytes --]

From 8a5a79bb5a65ae0424000669da6dba64e6c4d5dc Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Wed, 17 Feb 2021 00:45:20 +0100
Subject: [PATCH] volctl: update to 0.8.2.

---
 srcpkgs/volctl/template | 19 ++++++++++++++-----
 1 file changed, 14 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/volctl/template b/srcpkgs/volctl/template
index 0b4dc7d4409..5506ed93723 100644
--- a/srcpkgs/volctl/template
+++ b/srcpkgs/volctl/template
@@ -1,13 +1,22 @@
 # Template file for 'volctl'
 pkgname=volctl
-version=0.8.0
-revision=2
+version=0.8.2
+revision=1
 build_style=python3-module
 hostmakedepends="python3-setuptools"
-depends="python3-gobject desktop-file-utils"
-short_desc="Lightweight volume control for pulseaudio that sits in your systray"
+depends="python3-gobject desktop-file-utils python3-cairo python3-yaml python3-click"
+checkdepends="${depends} dbus pulseaudio gtk+3 xvfb-run"
+short_desc="Lightweight volume control for pulseaudio in your systray"
 maintainer="teldra <teldra@rotce.de>"
 license="GPL-2.0-only"
 homepage="https://buzz.github.io/volctl/"
 distfiles="https://github.com/buzz/volctl/archive/v${version}.tar.gz"
-checksum=01d021f244982a8bc827574f778a49864e937ca53310e03ec1386587bf8fb9b4
+checksum=8e744fe0e92f00451983e4fffa079d4d5354a8f96f6bcf8d15da44a18dc556f5
+
+post_extract() {
+	vsed -i "/^from gi.repository import Gtk.*/i import gi\ngi.require_version('Gtk', '3.0')" volctl/meta.py
+}
+
+do_check() {
+	xvfb-run dbus-run-session python setup.py test
+}

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [PR PATCH] [Updated] volctl: update to 0.8.2.
  2021-02-16 23:50 [PR PATCH] volctl: update to 0.8.2 teldra
                   ` (2 preceding siblings ...)
  2021-02-17 14:37 ` teldra
@ 2021-02-17 14:49 ` teldra
  2021-02-17 14:54 ` teldra
                   ` (11 subsequent siblings)
  15 siblings, 0 replies; 17+ messages in thread
From: teldra @ 2021-02-17 14:49 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1845 bytes --]

There is an updated pull request by teldra against master on the void-packages repository

https://github.com/teldra/void-packages update-volctl
https://github.com/void-linux/void-packages/pull/28806

volctl: update to 0.8.2.
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [x] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->

#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [x] I built this PR locally for my native architecture, (ARCH-LIBC)
- [x] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [x] aarch64-musl
  - [x] armv7l
  - [x] armv6l-musl

#### Notes
Even if I add `dbus-run-session python setup.py test` to `do_check`, I get
```
Unable to init server: Could not connect: Connection refused
Unable to init server: Could not connect: Connection refused
```
and I don't have a clue, what to do.

A patch file from https://github.com/void-linux/void-packages/pull/28806.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-update-volctl-28806.patch --]
[-- Type: text/x-diff, Size: 1372 bytes --]

From d78c70c576a24b3b45f107c59aef87c2e2e21fe3 Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Wed, 17 Feb 2021 00:45:20 +0100
Subject: [PATCH] volctl: update to 0.8.2.

---
 srcpkgs/volctl/template | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/volctl/template b/srcpkgs/volctl/template
index 0b4dc7d4409..664cc836529 100644
--- a/srcpkgs/volctl/template
+++ b/srcpkgs/volctl/template
@@ -1,13 +1,19 @@
 # Template file for 'volctl'
 pkgname=volctl
-version=0.8.0
-revision=2
+version=0.8.2
+revision=1
 build_style=python3-module
 hostmakedepends="python3-setuptools"
-depends="python3-gobject desktop-file-utils"
-short_desc="Lightweight volume control for pulseaudio that sits in your systray"
+depends="python3-gobject desktop-file-utils python3-cairo python3-yaml python3-click"
+checkdepends="${depends} dbus pulseaudio gtk+3 xvfb-run"
+short_desc="Lightweight volume control for pulseaudio in your systray"
 maintainer="teldra <teldra@rotce.de>"
 license="GPL-2.0-only"
 homepage="https://buzz.github.io/volctl/"
 distfiles="https://github.com/buzz/volctl/archive/v${version}.tar.gz"
-checksum=01d021f244982a8bc827574f778a49864e937ca53310e03ec1386587bf8fb9b4
+checksum=8e744fe0e92f00451983e4fffa079d4d5354a8f96f6bcf8d15da44a18dc556f5
+
+
+do_check() {
+	xvfb-run dbus-run-session python setup.py test
+}

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [PR PATCH] [Updated] volctl: update to 0.8.2.
  2021-02-16 23:50 [PR PATCH] volctl: update to 0.8.2 teldra
                   ` (3 preceding siblings ...)
  2021-02-17 14:49 ` teldra
@ 2021-02-17 14:54 ` teldra
  2021-02-17 14:58 ` teldra
                   ` (10 subsequent siblings)
  15 siblings, 0 replies; 17+ messages in thread
From: teldra @ 2021-02-17 14:54 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1845 bytes --]

There is an updated pull request by teldra against master on the void-packages repository

https://github.com/teldra/void-packages update-volctl
https://github.com/void-linux/void-packages/pull/28806

volctl: update to 0.8.2.
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [x] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->

#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [x] I built this PR locally for my native architecture, (ARCH-LIBC)
- [x] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [x] aarch64-musl
  - [x] armv7l
  - [x] armv6l-musl

#### Notes
Even if I add `dbus-run-session python setup.py test` to `do_check`, I get
```
Unable to init server: Could not connect: Connection refused
Unable to init server: Could not connect: Connection refused
```
and I don't have a clue, what to do.

A patch file from https://github.com/void-linux/void-packages/pull/28806.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-update-volctl-28806.patch --]
[-- Type: text/x-diff, Size: 1503 bytes --]

From aca47d2c34ca28257fc913977fd3c9258807e84f Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Wed, 17 Feb 2021 00:45:20 +0100
Subject: [PATCH] volctl: update to 0.8.2.

---
 srcpkgs/volctl/template | 19 ++++++++++++++-----
 1 file changed, 14 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/volctl/template b/srcpkgs/volctl/template
index 0b4dc7d4409..5506ed93723 100644
--- a/srcpkgs/volctl/template
+++ b/srcpkgs/volctl/template
@@ -1,13 +1,22 @@
 # Template file for 'volctl'
 pkgname=volctl
-version=0.8.0
-revision=2
+version=0.8.2
+revision=1
 build_style=python3-module
 hostmakedepends="python3-setuptools"
-depends="python3-gobject desktop-file-utils"
-short_desc="Lightweight volume control for pulseaudio that sits in your systray"
+depends="python3-gobject desktop-file-utils python3-cairo python3-yaml python3-click"
+checkdepends="${depends} dbus pulseaudio gtk+3 xvfb-run"
+short_desc="Lightweight volume control for pulseaudio in your systray"
 maintainer="teldra <teldra@rotce.de>"
 license="GPL-2.0-only"
 homepage="https://buzz.github.io/volctl/"
 distfiles="https://github.com/buzz/volctl/archive/v${version}.tar.gz"
-checksum=01d021f244982a8bc827574f778a49864e937ca53310e03ec1386587bf8fb9b4
+checksum=8e744fe0e92f00451983e4fffa079d4d5354a8f96f6bcf8d15da44a18dc556f5
+
+post_extract() {
+	vsed -i "/^from gi.repository import Gtk.*/i import gi\ngi.require_version('Gtk', '3.0')" volctl/meta.py
+}
+
+do_check() {
+	xvfb-run dbus-run-session python setup.py test
+}

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: volctl: update to 0.8.2.
  2021-02-16 23:50 [PR PATCH] volctl: update to 0.8.2 teldra
                   ` (4 preceding siblings ...)
  2021-02-17 14:54 ` teldra
@ 2021-02-17 14:58 ` teldra
  2021-02-18  4:54 ` [PR REVIEW] " ericonr
                   ` (9 subsequent siblings)
  15 siblings, 0 replies; 17+ messages in thread
From: teldra @ 2021-02-17 14:58 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 759 bytes --]

New comment by teldra on void-packages repository

https://github.com/void-linux/void-packages/pull/28806#issuecomment-780613503

Comment:
> This looks like it's looking for X server. Maybe use `xvfb-run dbus-run-session`?

Yes that did the Trick.

Now the funny parts: 
- No tests were executed. Should I instead add `do_check() { : }`? https://github.com/void-linux/void-packages/pull/28806/checks?check_run_id=1919520285#step:8:108
- Right now, I had to add `post_extract()`. Without it, this happens:
```
/builddir/volctl-0.8.2/volctl/meta.py:2: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk
```

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [PR REVIEW] volctl: update to 0.8.2.
  2021-02-16 23:50 [PR PATCH] volctl: update to 0.8.2 teldra
                   ` (5 preceding siblings ...)
  2021-02-17 14:58 ` teldra
@ 2021-02-18  4:54 ` ericonr
  2021-02-18  4:54 ` ericonr
                   ` (8 subsequent siblings)
  15 siblings, 0 replies; 17+ messages in thread
From: ericonr @ 2021-02-18  4:54 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 447 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/28806#discussion_r578131916

Comment:
Well, this at least guarantees we can import the whole thing, I guess.

If they ever add tests, we'll be ready to run them :D 

Maybe add a comment that currently no tests are defined? I definitely think `do_check` should remain like this. Possiby change `python` to explicit `python3` there too,

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [PR REVIEW] volctl: update to 0.8.2.
  2021-02-16 23:50 [PR PATCH] volctl: update to 0.8.2 teldra
                   ` (7 preceding siblings ...)
  2021-02-18  4:54 ` ericonr
@ 2021-02-18  4:54 ` ericonr
  2021-02-19  9:17 ` [PR PATCH] [Updated] " teldra
                   ` (6 subsequent siblings)
  15 siblings, 0 replies; 17+ messages in thread
From: ericonr @ 2021-02-18  4:54 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 213 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/28806#discussion_r578132157

Comment:
This makes me think that maybe it should depend on `gtk+3` itself?

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [PR REVIEW] volctl: update to 0.8.2.
  2021-02-16 23:50 [PR PATCH] volctl: update to 0.8.2 teldra
                   ` (6 preceding siblings ...)
  2021-02-18  4:54 ` [PR REVIEW] " ericonr
@ 2021-02-18  4:54 ` ericonr
  2021-02-18  4:54 ` ericonr
                   ` (7 subsequent siblings)
  15 siblings, 0 replies; 17+ messages in thread
From: ericonr @ 2021-02-18  4:54 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 297 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/28806#discussion_r578131618

Comment:
If the warning doesn't affect the build, I'd prefer to leave this out. Might be nice to ask upstream to fix on their side, though (or send them a PR).

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [PR PATCH] [Updated] volctl: update to 0.8.2.
  2021-02-16 23:50 [PR PATCH] volctl: update to 0.8.2 teldra
                   ` (8 preceding siblings ...)
  2021-02-18  4:54 ` ericonr
@ 2021-02-19  9:17 ` teldra
  2021-02-19  9:24 ` teldra
                   ` (5 subsequent siblings)
  15 siblings, 0 replies; 17+ messages in thread
From: teldra @ 2021-02-19  9:17 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1845 bytes --]

There is an updated pull request by teldra against master on the void-packages repository

https://github.com/teldra/void-packages update-volctl
https://github.com/void-linux/void-packages/pull/28806

volctl: update to 0.8.2.
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [x] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->

#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [x] I built this PR locally for my native architecture, (ARCH-LIBC)
- [x] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [x] aarch64-musl
  - [x] armv7l
  - [x] armv6l-musl

#### Notes
Even if I add `dbus-run-session python setup.py test` to `do_check`, I get
```
Unable to init server: Could not connect: Connection refused
Unable to init server: Could not connect: Connection refused
```
and I don't have a clue, what to do.

A patch file from https://github.com/void-linux/void-packages/pull/28806.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-update-volctl-28806.patch --]
[-- Type: text/x-diff, Size: 1453 bytes --]

From c1cb6a97121558f6e2176eb677cd0ecc57a61f66 Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Wed, 17 Feb 2021 00:45:20 +0100
Subject: [PATCH] volctl: update to 0.8.2.

---
 srcpkgs/volctl/template | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/volctl/template b/srcpkgs/volctl/template
index 0b4dc7d4409..294de567a6f 100644
--- a/srcpkgs/volctl/template
+++ b/srcpkgs/volctl/template
@@ -1,13 +1,19 @@
 # Template file for 'volctl'
 pkgname=volctl
-version=0.8.0
-revision=2
+version=0.8.2
+revision=1
 build_style=python3-module
 hostmakedepends="python3-setuptools"
-depends="python3-gobject desktop-file-utils"
-short_desc="Lightweight volume control for pulseaudio that sits in your systray"
+depends="python3-gobject gtk+3 desktop-file-utils python3-cairo python3-yaml python3-click"
+checkdepends="${depends} dbus pulseaudio xvfb-run"
+short_desc="Lightweight volume control for pulseaudio in your systray"
 maintainer="teldra <teldra@rotce.de>"
 license="GPL-2.0-only"
 homepage="https://buzz.github.io/volctl/"
 distfiles="https://github.com/buzz/volctl/archive/v${version}.tar.gz"
-checksum=01d021f244982a8bc827574f778a49864e937ca53310e03ec1386587bf8fb9b4
+checksum=8e744fe0e92f00451983e4fffa079d4d5354a8f96f6bcf8d15da44a18dc556f5
+
+# There are no tests definded. If they ever add tests, we'll be ready to run them
+do_check() {
+	xvfb-run dbus-run-session python setup.py test
+}

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [PR PATCH] [Updated] volctl: update to 0.8.2.
  2021-02-16 23:50 [PR PATCH] volctl: update to 0.8.2 teldra
                   ` (9 preceding siblings ...)
  2021-02-19  9:17 ` [PR PATCH] [Updated] " teldra
@ 2021-02-19  9:24 ` teldra
  2021-02-19 10:33 ` teldra
                   ` (4 subsequent siblings)
  15 siblings, 0 replies; 17+ messages in thread
From: teldra @ 2021-02-19  9:24 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1845 bytes --]

There is an updated pull request by teldra against master on the void-packages repository

https://github.com/teldra/void-packages update-volctl
https://github.com/void-linux/void-packages/pull/28806

volctl: update to 0.8.2.
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [x] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->

#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [x] I built this PR locally for my native architecture, (ARCH-LIBC)
- [x] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [x] aarch64-musl
  - [x] armv7l
  - [x] armv6l-musl

#### Notes
Even if I add `dbus-run-session python setup.py test` to `do_check`, I get
```
Unable to init server: Could not connect: Connection refused
Unable to init server: Could not connect: Connection refused
```
and I don't have a clue, what to do.

A patch file from https://github.com/void-linux/void-packages/pull/28806.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-update-volctl-28806.patch --]
[-- Type: text/x-diff, Size: 1453 bytes --]

From 0a6ad00705c1b45ae5c18d52dc40edc6f1e5f69f Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Wed, 17 Feb 2021 00:45:20 +0100
Subject: [PATCH] volctl: update to 0.8.2.

---
 srcpkgs/volctl/template | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/volctl/template b/srcpkgs/volctl/template
index 0b4dc7d4409..294de567a6f 100644
--- a/srcpkgs/volctl/template
+++ b/srcpkgs/volctl/template
@@ -1,13 +1,19 @@
 # Template file for 'volctl'
 pkgname=volctl
-version=0.8.0
-revision=2
+version=0.8.2
+revision=1
 build_style=python3-module
 hostmakedepends="python3-setuptools"
-depends="python3-gobject desktop-file-utils"
-short_desc="Lightweight volume control for pulseaudio that sits in your systray"
+depends="python3-gobject gtk+3 desktop-file-utils python3-cairo python3-yaml python3-click"
+checkdepends="${depends} dbus pulseaudio xvfb-run"
+short_desc="Lightweight volume control for pulseaudio in your systray"
 maintainer="teldra <teldra@rotce.de>"
 license="GPL-2.0-only"
 homepage="https://buzz.github.io/volctl/"
 distfiles="https://github.com/buzz/volctl/archive/v${version}.tar.gz"
-checksum=01d021f244982a8bc827574f778a49864e937ca53310e03ec1386587bf8fb9b4
+checksum=8e744fe0e92f00451983e4fffa079d4d5354a8f96f6bcf8d15da44a18dc556f5
+
+# There are no tests definded. If they ever add tests, we'll be ready to run them
+do_check() {
+	xvfb-run dbus-run-session python setup.py test
+}

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [PR PATCH] [Updated] volctl: update to 0.8.2.
  2021-02-16 23:50 [PR PATCH] volctl: update to 0.8.2 teldra
                   ` (10 preceding siblings ...)
  2021-02-19  9:24 ` teldra
@ 2021-02-19 10:33 ` teldra
  2021-02-22 19:10 ` teldra
                   ` (3 subsequent siblings)
  15 siblings, 0 replies; 17+ messages in thread
From: teldra @ 2021-02-19 10:33 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1845 bytes --]

There is an updated pull request by teldra against master on the void-packages repository

https://github.com/teldra/void-packages update-volctl
https://github.com/void-linux/void-packages/pull/28806

volctl: update to 0.8.2.
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [x] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->

#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [x] I built this PR locally for my native architecture, (ARCH-LIBC)
- [x] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [x] aarch64-musl
  - [x] armv7l
  - [x] armv6l-musl

#### Notes
Even if I add `dbus-run-session python setup.py test` to `do_check`, I get
```
Unable to init server: Could not connect: Connection refused
Unable to init server: Could not connect: Connection refused
```
and I don't have a clue, what to do.

A patch file from https://github.com/void-linux/void-packages/pull/28806.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-update-volctl-28806.patch --]
[-- Type: text/x-diff, Size: 1453 bytes --]

From 19dd774c27fd6b97b6a6d68b0c9059919e79addc Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Wed, 17 Feb 2021 00:45:20 +0100
Subject: [PATCH] volctl: update to 0.8.2.

---
 srcpkgs/volctl/template | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/volctl/template b/srcpkgs/volctl/template
index 0b4dc7d4409..294de567a6f 100644
--- a/srcpkgs/volctl/template
+++ b/srcpkgs/volctl/template
@@ -1,13 +1,19 @@
 # Template file for 'volctl'
 pkgname=volctl
-version=0.8.0
-revision=2
+version=0.8.2
+revision=1
 build_style=python3-module
 hostmakedepends="python3-setuptools"
-depends="python3-gobject desktop-file-utils"
-short_desc="Lightweight volume control for pulseaudio that sits in your systray"
+depends="python3-gobject gtk+3 desktop-file-utils python3-cairo python3-yaml python3-click"
+checkdepends="${depends} dbus pulseaudio xvfb-run"
+short_desc="Lightweight volume control for pulseaudio in your systray"
 maintainer="teldra <teldra@rotce.de>"
 license="GPL-2.0-only"
 homepage="https://buzz.github.io/volctl/"
 distfiles="https://github.com/buzz/volctl/archive/v${version}.tar.gz"
-checksum=01d021f244982a8bc827574f778a49864e937ca53310e03ec1386587bf8fb9b4
+checksum=8e744fe0e92f00451983e4fffa079d4d5354a8f96f6bcf8d15da44a18dc556f5
+
+# There are no tests definded. If they ever add tests, we'll be ready to run them
+do_check() {
+	xvfb-run dbus-run-session python setup.py test
+}

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [PR PATCH] [Updated] volctl: update to 0.8.2.
  2021-02-16 23:50 [PR PATCH] volctl: update to 0.8.2 teldra
                   ` (11 preceding siblings ...)
  2021-02-19 10:33 ` teldra
@ 2021-02-22 19:10 ` teldra
  2021-02-22 19:16 ` [PR REVIEW] " teldra
                   ` (2 subsequent siblings)
  15 siblings, 0 replies; 17+ messages in thread
From: teldra @ 2021-02-22 19:10 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1845 bytes --]

There is an updated pull request by teldra against master on the void-packages repository

https://github.com/teldra/void-packages update-volctl
https://github.com/void-linux/void-packages/pull/28806

volctl: update to 0.8.2.
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [x] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->

#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [x] I built this PR locally for my native architecture, (ARCH-LIBC)
- [x] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [x] aarch64-musl
  - [x] armv7l
  - [x] armv6l-musl

#### Notes
Even if I add `dbus-run-session python setup.py test` to `do_check`, I get
```
Unable to init server: Could not connect: Connection refused
Unable to init server: Could not connect: Connection refused
```
and I don't have a clue, what to do.

A patch file from https://github.com/void-linux/void-packages/pull/28806.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-update-volctl-28806.patch --]
[-- Type: text/x-diff, Size: 1453 bytes --]

From d67360efdd6666424dc626de6a3b576bb8714c1e Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Wed, 17 Feb 2021 00:45:20 +0100
Subject: [PATCH] volctl: update to 0.8.2.

---
 srcpkgs/volctl/template | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/volctl/template b/srcpkgs/volctl/template
index 0b4dc7d4409..294de567a6f 100644
--- a/srcpkgs/volctl/template
+++ b/srcpkgs/volctl/template
@@ -1,13 +1,19 @@
 # Template file for 'volctl'
 pkgname=volctl
-version=0.8.0
-revision=2
+version=0.8.2
+revision=1
 build_style=python3-module
 hostmakedepends="python3-setuptools"
-depends="python3-gobject desktop-file-utils"
-short_desc="Lightweight volume control for pulseaudio that sits in your systray"
+depends="python3-gobject gtk+3 desktop-file-utils python3-cairo python3-yaml python3-click"
+checkdepends="${depends} dbus pulseaudio xvfb-run"
+short_desc="Lightweight volume control for pulseaudio in your systray"
 maintainer="teldra <teldra@rotce.de>"
 license="GPL-2.0-only"
 homepage="https://buzz.github.io/volctl/"
 distfiles="https://github.com/buzz/volctl/archive/v${version}.tar.gz"
-checksum=01d021f244982a8bc827574f778a49864e937ca53310e03ec1386587bf8fb9b4
+checksum=8e744fe0e92f00451983e4fffa079d4d5354a8f96f6bcf8d15da44a18dc556f5
+
+# There are no tests definded. If they ever add tests, we'll be ready to run them
+do_check() {
+	xvfb-run dbus-run-session python setup.py test
+}

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [PR REVIEW] volctl: update to 0.8.2.
  2021-02-16 23:50 [PR PATCH] volctl: update to 0.8.2 teldra
                   ` (12 preceding siblings ...)
  2021-02-22 19:10 ` teldra
@ 2021-02-22 19:16 ` teldra
  2021-02-22 19:16 ` teldra
  2021-02-22 19:21 ` [PR PATCH] [Merged]: " ericonr
  15 siblings, 0 replies; 17+ messages in thread
From: teldra @ 2021-02-22 19:16 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 181 bytes --]

New review comment by teldra on void-packages repository

https://github.com/void-linux/void-packages/pull/28806#discussion_r580522065

Comment:
This seems to not affect the build.

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [PR REVIEW] volctl: update to 0.8.2.
  2021-02-16 23:50 [PR PATCH] volctl: update to 0.8.2 teldra
                   ` (13 preceding siblings ...)
  2021-02-22 19:16 ` [PR REVIEW] " teldra
@ 2021-02-22 19:16 ` teldra
  2021-02-22 19:21 ` [PR PATCH] [Merged]: " ericonr
  15 siblings, 0 replies; 17+ messages in thread
From: teldra @ 2021-02-22 19:16 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 152 bytes --]

New review comment by teldra on void-packages repository

https://github.com/void-linux/void-packages/pull/28806#discussion_r580522182

Comment:
Moved.

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [PR PATCH] [Merged]: volctl: update to 0.8.2.
  2021-02-16 23:50 [PR PATCH] volctl: update to 0.8.2 teldra
                   ` (14 preceding siblings ...)
  2021-02-22 19:16 ` teldra
@ 2021-02-22 19:21 ` ericonr
  15 siblings, 0 replies; 17+ messages in thread
From: ericonr @ 2021-02-22 19:21 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1685 bytes --]

There's a merged pull request on the void-packages repository

volctl: update to 0.8.2.
https://github.com/void-linux/void-packages/pull/28806

Description:
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [x] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->

#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [x] I built this PR locally for my native architecture, (ARCH-LIBC)
- [x] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [x] aarch64-musl
  - [x] armv7l
  - [x] armv6l-musl

#### Notes
Even if I add `dbus-run-session python setup.py test` to `do_check`, I get
```
Unable to init server: Could not connect: Connection refused
Unable to init server: Could not connect: Connection refused
```
and I don't have a clue, what to do.

^ permalink raw reply	[flat|nested] 17+ messages in thread

end of thread, other threads:[~2021-02-22 19:21 UTC | newest]

Thread overview: 17+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-02-16 23:50 [PR PATCH] volctl: update to 0.8.2 teldra
2021-02-17 14:04 ` ericonr
2021-02-17 14:21 ` [PR PATCH] [Updated] " teldra
2021-02-17 14:37 ` teldra
2021-02-17 14:49 ` teldra
2021-02-17 14:54 ` teldra
2021-02-17 14:58 ` teldra
2021-02-18  4:54 ` [PR REVIEW] " ericonr
2021-02-18  4:54 ` ericonr
2021-02-18  4:54 ` ericonr
2021-02-19  9:17 ` [PR PATCH] [Updated] " teldra
2021-02-19  9:24 ` teldra
2021-02-19 10:33 ` teldra
2021-02-22 19:10 ` teldra
2021-02-22 19:16 ` [PR REVIEW] " teldra
2021-02-22 19:16 ` teldra
2021-02-22 19:21 ` [PR PATCH] [Merged]: " ericonr

Github messages for voidlinux

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://inbox.vuxu.org/voidlinux-github

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V1 voidlinux-github voidlinux-github/ http://inbox.vuxu.org/voidlinux-github \
		voidlinux-github@inbox.vuxu.org
	public-inbox-index voidlinux-github

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git